#
# spec file for package vcron
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vcron
Version:        2.3
Release:        285.5
Summary:        TK-Interface for cron and at
License:        GPL-2.0+
Group:          System/Base
Url:            http://www.Linux-kheops.com/pub/vcron/
Source:         vcron-%{version}.tar.bz2
Patch:          vcron-%{version}-path.patch
Patch1:         vcron-%{version}-tempfiles.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       at
Requires:       cron
Requires:       freetype2
Requires:       tcl >= 8
Requires:       tk >= 8

%description
TK-Interface for cron and at.



Authors:
--------
    Daniel Roche <dan@lectra.com>

%prep
%setup -n usr
%patch -p1
%patch1 -p1

%build

%install
install -D -m 755 local/bin/vcron $RPM_BUILD_ROOT/usr/bin/vcron
mkdir -p  $RPM_BUILD_ROOT/usr/lib
cp -R local/lib/vcron  $RPM_BUILD_ROOT/usr/lib/ 
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
( 
  cd $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
  ln -sf ../../../../lib/vcron/doc/* ./
)

%files
%defattr(-,root,root)
/usr/bin/vcron
/usr/lib/vcron
%doc %{_defaultdocdir}/%{name}

%changelog
* Wed Oct 15 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Fri Aug 11 2006 lmichnovic@suse.cz
- change of install dirs : omitting X11R6
* Sun Aug  6 2006 ro@suse.de
- remove manual dependency for XFree86-libs
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Mar 24 2004 ltinkl@suse.cz
- fixed insecure temp file handling (#36414)
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Mon Jul 21 2003 ltinkl@suse.cz
- updated sources to version 2.3
- added %%clean stage
* Fri Feb 14 2003 vbobek@suse.cz
- updated to version 2.1
  * added Spanish translation
- make package noarch
* Mon Nov 11 2002 ro@suse.de
- reworked requires (especially typos foo>=x should be foo >= x)
* Fri Nov  8 2002 jderfina@suse.cz
- Added buildroot.
- Updated to version 2.0
* Fri Aug 24 2001 rvasice@suse.cz
- update to version 1.7
- added mouse wheel management, manual
- fix file entry
* Wed Jan 10 2001 ro@suse.de
- fixed doc list
* Fri Jan 14 2000 freitag@suse.de
- update to 1.5, version-makro in spec and URL
* Fri Nov  5 1999 max@suse.de
- changed wish's path to /usr/bin
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jan 12 1999 ray@suse.de
- new package (Version 1.3)
